org.eclipse.emf.facet.widgets.celleditors

## Interface ICellEditorsRegistry

    public interface ICellEditorsRegistry

Registry for the "celleditors" extension point

Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static ICellEditorsRegistry` `INSTANCE`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<IModelCellEditorContainer<? extends AbstractModelCellEditor>>` `getAllCellEditors()`
`IModelCellEditor` `getCellEditorFor(EClassifier type)` Returns a cell editor to edit a single value of the given type, or `null` if none was found.
`IModelCellEditor` `getCellEditorFor(EClassifier type, java.util.List<AbstractModelCellEditor> preferredCellEditors)` Returns a cell editor to edit a single value of the given type, or `null` if none was found.
`INaryFeatureCellEditor` `getNaryCellEditorFor(EClassifier type)` Returns a cell editor to edit a list of values of the given type, or `null` if none was found.
`INaryFeatureCellEditor` `getNaryCellEditorFor(EClassifier type, java.util.List<AbstractModelCellEditor> preferredCellEditors)` Returns a cell editor to edit a list of values of the given type, or `null` if none was found.

### Field Detail

#### INSTANCE

    static final ICellEditorsRegistry INSTANCE

### Method Detail

#### getAllCellEditors

    java.util.List<IModelCellEditorContainer<? extends AbstractModelCellEditor>> getAllCellEditors()

#### getCellEditorFor

    IModelCellEditor getCellEditorFor(EClassifier type)

Returns a cell editor to edit a single value of the given type, or `null` if none was found. Custom cell editors override the default ones (from "org.eclipse.emf.facet.widgets.celleditors").

Parameters:
  `type` - the type for which to get a cell editor
Returns:
  the cell editor or `null` if none was found for the given type

#### getNaryCellEditorFor

    INaryFeatureCellEditor getNaryCellEditorFor(EClassifier type)

Returns a cell editor to edit a list of values of the given type, or `null` if none was found. Custom cell editors override the default ones (from "org.eclipse.emf.facet.widgets.celleditors").

Parameters:
  `type` - the type for which to get a cell editor
Returns:
  the cell editor or `null` if none was found for the given type

#### getCellEditorFor

    IModelCellEditor getCellEditorFor(EClassifier type,
                                      java.util.List<AbstractModelCellEditor> preferredCellEditors)

Returns a cell editor to edit a single value of the given type, or `null` if none was found. Custom cell editors override the default ones (from "org.eclipse.emf.facet.widgets.celleditors").

Parameters:
  `type` - the type for which to get a cell editor
  `preferredCellEditors` - the cell editors that should be chosen in case of conflicts (several cell editors defined for the same type)
Returns:
  the cell editor or `null` if none was found for the given type

#### getNaryCellEditorFor

    INaryFeatureCellEditor getNaryCellEditorFor(EClassifier type,
                                                java.util.List<AbstractModelCellEditor> preferredCellEditors)

Returns a cell editor to edit a list of values of the given type, or `null` if none was found. Custom cell editors override the default ones (from "org.eclipse.emf.facet.widgets.celleditors").

Parameters:
  `type` - the type for which to get a cell editor
  `preferredCellEditors` - the cell editors that should be chosen in case of conflicts (several cell editors defined for the same type)
Returns:
  the cell editor or `null` if none was found for the given type